import { useState } from 'react'
import AccordionTemplate from '~/components/items/accordion'
import faqHeader from '~/images/faq-header.png'
import pageBg from '~/images/page-bg.png'

export default function Faq() {
  const [currentTab, setCurrentTab] = useState(0)

  const tabs = ['Tümü', 'Üyelik']

  const tabContents = [
    <div className="space-y-4">
      <AccordionTemplate isBgWhite />
      <AccordionTemplate isBgWhite />
    </div>,
    <div className='space-y-4'>
      <AccordionTemplate isBgWhite />
    </div>
  ]

  return (
    <div
      style={{
        backgroundImage: `url(${pageBg})`,
        backgroundSize: 'contain',
        backgroundPosition: 'top',
        backgroundRepeat: 'no-repeat'
      }}
    >
      <div className="relative">
        <div className="absolute inset-0 z-10 bg-primary mix-blend-color opacity-70" />
        <img src={faqHeader} className="w-full" alt="" />
      </div>
      <div className="container mx-auto px-4 lg:-mt-20">
        <div className="flex justify-between relative -mx-2 lg:-mx-4 z-30">
          <aside className="w-2/5 sticky top-4 h-screen px-2 lg:px-4 space-y-4 lg:space-y-6">
            <div className="bg-white text-center lg:text-3xl font-bold border border-gray-200 p-2 lg:p-4 rounded-2xl">
              Sıkça Sorulan Sorular
            </div>
            {tabs.map((tab, i) => (
              <div key={i}>
                <span
                  className="inline-flex items-center gap-2 lg:gap-4 group cursor-pointer"
                  onClick={() => setCurrentTab(i)}
                >
                  <svg
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    xmlns="http://www.w3.org/2000/svg"
                    className={`stroke-navy group-hover:stroke-secondary mt-1 ${i === currentTab ? 'stroke-secondary' : ''}`}
                  >
                    <path
                      d="M17 8L21 12M21 12L17 16M21 12L3 12"
                      stroke-width="2"
                      stroke-linecap="round"
                      stroke-linejoin="round"
                    />
                  </svg>
                  <span
                    className={`font-bold lg:text-xl group-hover:text-secondary ${i === currentTab ? 'text-secondary' : ''}`}
                  >
                    {tab}
                  </span>
                </span>
              </div>
            ))}
          </aside>
          <div className="w-3/5 px-2 lg:px-4">
            <div className="max-w-lg ml-auto space-y-4 lg:space-y-8">{tabContents[currentTab]}</div>
          </div>
        </div>
      </div>
    </div>
  )
}
